Skip to main content
POST
/
v1
/
api
/
quotes
Create a retail offramp quote
curl --request POST \
  --url https://sandbox.api.eqxpay.io/v1/api/quotes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "market": "<string>",
  "source_asset": "<string>",
  "source_amount": "<string>",
  "beneficiary_id": "<string>",
  "sortField": "<string>"
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
market
string
required

Market code for the offramp corridor (e.g. KE, NG)

source_asset
string
required

Source crypto asset symbol (e.g. USDC, USDT)

source_amount
string
required

Amount of source asset to convert (decimal string)

payout_method
enum<string>
required

Payout method

Available options:
MOBILE_MONEY,
BANK_TRANSFER
beneficiary_id
string
required

Beneficiary ID to receive the payout

sortField
string

Response

Created